%errorA = ForceRequiredAddOn("Vehicle_Jeep");
%errorB = ForceRequiredAddOn("Weapon_Rocket_Launcher");
%errorC = ForceRequiredAddOn("Projectile_GravityRocket");

if(%errorA == $Error::AddOn_Disabled)
   JeepVehicle.uiName = "";
if(%errorB == $Error::AddOn_Disabled)
   rocketLauncherItem.uiName = "";
if(%errorC == $Error::AddOn_Disabled)
   gravityRocketProjectile.uiName = "";

if(%errorA == $Error::AddOn_NotFound)
   error("ERROR: Vehicle_Tank - required add-on Vehicle_Jeep not found");
else if(%errorB == $Error::AddOn_NotFound)
   error("ERROR: Vehicle_Tank - required add-on Weapon_Rocket_Launcher not found");
else if(%errorC == $Error::AddOn_NotFound)
   error("ERROR: Vehicle_Tank - required add-on Projectile_GravityRocket not found");
else
// support stuff for the stunt plane vehicle

//we need the jeep add-on for this, so force it to load
%error = ForceRequiredAddOn("Vehicle_Jeep");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the jeep to load, but the user had it disabled
   //  so lets make it so they can't select it
   JeepVehicle.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the jeep, so we're screwed
   error("ERROR: Vehicle_Biplane - required add-on Vehicle_Jeep not found");
}
else
{
   exec("./Vehicle_Carrier.cs"); 
   exec("./Vehicle_Carrier2.cs");
}